#-*- coding:utf-8 -*-

menu_str = """<Menu
xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    <MenuItem Header="ファイル(_F)" TabIndex="1">
        <MenuItem Header="保存(_S)" Name="save" InputGestureText="Ctrl+S" />
        <MenuItem Header="読み直し(_R)" Name="reload" />
        <Separator />
        <MenuItem Header="直接編集(_E)" Name="textedit" InputGestureText="Ctlr+E" />
        <MenuItem Header="バックアップ(_B)">
            <MenuItem Header="バックアップ作成(_S)" Name="buckup_write" />
            <MenuItem Header="バックアップ書き戻し(_R)" Name="buckup_read" />
        </MenuItem>
        <Separator />
        <MenuItem Header="終了(_X)" Name="quit" InputGestureText="Ctrl+Q" />
    </MenuItem>
    <MenuItem Header="編集(_E)" Name="edit">
        <MenuItem Header="新規アイテム(_N)" Name="item_new" InputGestureText="Ctrl+N" />
        <Separator />
        <MenuItem Header="上に移動(_U)" Name="item_up" />
        <MenuItem Header="下に移動(_D)" Name="item_down" />
        <MenuItem Header="削除(_l)" Name="item_delete" InputGestureText="Ctrl+Delete" />
        <Separator />
        <MenuItem Header="リストに反映(_S)" Name="apply" InputGestureText="Ctrl+Enter" />
    </MenuItem>
    <MenuItem Header="プロファイル(_P)">
        <MenuItem Header="プロファイルの変更" Name="profile_edit" />
        <Separator />
        <MenuItem Header="プロファイル２に切り替え" Name="profile_change" />
    </MenuItem>
    <MenuItem Header="ヘルプ(_H)">
        <MenuItem Header="オンラインヘルプ(_H)" Name="online_help" />
        <MenuItem Header="情報(_B)" Name="about" />
    </MenuItem>
</Menu>"""

toolbar_str = """<ToolBarTray
xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    <ToolBar>
        <Button Name="btn1" IsTabStop="False">
            <Image Name="img1" />
        </Button>
        <Button Name="btn2" IsTabStop="False">
            <Image Name="img2" />
        </Button>
        <Separator />
        <Button Name="btn4" IsTabStop="False">
            <Image Name="img3" />
        </Button>
        <Button Name="btn3" IsTabStop="False">
            <Image Name="img4" />
        </Button>
        <Button Name="btn5" IsTabStop="False">
            <Image Name="img5" />
        </Button>
    </ToolBar>
</ToolBarTray>"""

listview_str = """<ListView
xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    <ListView.Resources>
        <DataTemplate x:Key="tpl_show">
            <CheckBox IsChecked="{Binding Path=delete}" IsTabStop="False" />
        </DataTemplate>
        <Style x:Key="st_underline" TargetType="TextBlock">
            <Style.Triggers>
                <DataTrigger Binding="{Binding Path=endsep}" Value="True">
                    <Setter Property="TextDecorations" Value="Underline" />
                </DataTrigger>
                <DataTrigger Binding="{Binding Path=key}" Value="">
                    <Setter Property="Foreground" Value="Silver" />
                </DataTrigger>
                <DataTrigger Binding="{Binding Path=delete}" Value="False">
                    <Setter Property="Foreground" Value="Silver" />
                </DataTrigger>
            </Style.Triggers>
        </Style>
        <DataTemplate x:Key="tpl_name">
            <TextBlock Name="nameBlock" Text="{Binding Path=name}" HorizontalAlignment="Left" TextTrimming="CharacterEllipsis" Style="{StaticResource st_underline}" />
        </DataTemplate>
        <DataTemplate x:Key="tpl_key">
            <TextBlock Text="{Binding Path=key}" HorizontalAlignment="Left"  TextTrimming="CharacterEllipsis" />
        </DataTemplate>
        <DataTemplate x:Key="tpl_url">
            <TextBlock Text="{Binding Path=url}" HorizontalAlignment="Left"  TextTrimming="CharacterEllipsis" />
        </DataTemplate>
    </ListView.Resources>
    <ListView.View>
        <GridView>
            <GridViewColumn Header="Show" CellTemplate="{StaticResource tpl_show}" />
            <GridViewColumn Header="Name" CellTemplate="{DynamicResource tpl_name}" />
            <GridViewColumn Header="Key" CellTemplate="{StaticResource tpl_key}" />
            <GridViewColumn Header="URL" CellTemplate="{StaticResource tpl_url}" />
        </GridView>
    </ListView.View>
</ListView>"""